%global commit	7f449bf8bd3b933891d12c30112268c4090e4d59
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global date	20210312
%global rel	1
%define major	0
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

Name:			rnnoise
Version:		0
Release:		%mkrel %rel.%{date}git%{shortcommit}
Summary:		Recurrent neural network for audio noise reduction
Group:			Sound/Utilities
# https://lists.fedoraproject.org/archives/list/legal@lists.fedoraproject.org/thread/HB2GPMVKMTNP5WDGIRNU5NZUO4JWQPII/
License:		BSD
URL:			https://gitlab.xiph.org/xiph/rnnoise
Source0:		%{url}/-/archive/%{commit}/%{name}-%{version}.%{date}git%{shortcommit}.tar.gz

BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gcc-c++
BuildRequires:	libtool
BuildRequires:	make

%description
RNNoise is a noise suppression library based on a recurrent neural network.

While it is meant to be used as a library, a simple command-line tool is
provided as an example. It operates on RAW 16-bit (machine endian) mono PCM
files sampled at 48 kHz. It can be used as:

./examples/rnnoise_demo <noisy speech> <output denoised>

The output is also a 16-bit raw PCM file.

%package -n %{libname}
Summary:		Library files for %{name}

%description -n %{libname}
RNNoise is a noise suppression library based on a recurrent neural network.

While it is meant to be used as a library, a simple command-line tool is
provided as an example. It operates on RAW 16-bit (machine endian) mono PCM
files sampled at 48 kHz. It can be used as:

./examples/rnnoise_demo <noisy speech> <output denoised>

The output is also a 16-bit raw PCM file.

%package -n %{devname}
Summary:		Devel files for %{name}
Requires:		%{libname} = %{version}-%{release}
Provides:		%{name}-devel = %{version}-%{release}

%description -n %{devname}
Development files for %{name}.

%package doc
Summary:    Documentation
BuildArch:		noarch

%description doc
Documentation files for %{name}

%prep
%autosetup -p1 -n %{name}-%{commit}

cat > 'package_version' <<-EOF
    PACKAGE_VERSION=%{date}git%{shortcommit}
EOF

%build
./autogen.sh
%configure --disable-static

%make_build

%install
%make_install
rm %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{.,*}

%files -n %{devname}
%{_includedir}/*.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/*.pc

%files    doc
%doc %{_docdir}/*


%changelog
* Fri Mar 18 2022 pterjan <pterjan> 0-1.20210312git7f449bf.mga9
+ Revision: 1798200
- Mageia 9 Mass Rebuild

* Tue Jul 27 2021 barjac <barjac> 0-0.20210312git7f449bf.mga9
+ Revision: 1737989
- Clean spec, libify etc initial pkg for Mageia
- in preparation for easyeffects under pipewire
- Import from Fedora

